NXOpen.UF.Sket.CreateSketch

Sket.CreateSketch()

Refer to UF_SKET_create_sketch for documentation.

Signature: CreateSketch(name, option, matrix, objectArg, reference, planeDir)

Parameters:
  • name (list of str) – Sketch name It can be at most UF_OBJ_NAME_LEN bytes long
  • option (int) – Option.1: Sketch on face/datum plane 2: Specify sketch CSYS
  • matrix (list of float) – Sketch CSYS (for option = 2):[0-5]: X-AXIS and Y-AXIS of matrix [6-8]: Origin of CSYS
  • objectArg (list of Tag) – Objects (for option = 1):[0]: Solid face/Datum plane object [1]: Reference object (edge, datum axis, solid face/datum
  • reference (list of int) – Reference and direction (for option = 1):[0]: Reference edge 1: Horizontal 2: Vertical [1]: Direction 1: Start to end (from vertex1 to vertex2) -1: End to start (from vertex2 to vertex1)
  • planeDir (int) – Datum plane direction:1: Outwards from parent body. 2: Inward.
Returns:

Tag of teh sketch created

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING